package com.qmth.themis.business.bean.backend;

import com.qmth.themis.business.enums.ExamRecordStatusEnum;
import com.qmth.themis.business.enums.ExceptionEnum;
import com.qmth.themis.business.enums.VerifyExceptionEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @Description: 实时监控台明细
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/8/22
 */
@ApiModel("实时监控台明细返回对象")
public class InvigilateListDetailBean implements Serializable {

    @ApiModelProperty(name = "考试id")
    private Long examId;

    @ApiModelProperty(name = "场次id")
    private Long examActivityId;

    @ApiModelProperty(name = "考生id")
    private Long examStudentId;

    @ApiModelProperty(name = "考试记录id")
    private Long examRecordId;

    @ApiModelProperty(name = "证件号")
    private String identity;

    @ApiModelProperty(name = "考生姓名")
    private String examStudentName;

    @ApiModelProperty(name = "科目名称(编码)")
    private String courseNameCode;

    @ApiModelProperty(name = "考生状态")
    private String status;

    @ApiModelProperty(name = "考生状态值")
    private ExamRecordStatusEnum statusCode;

    @ApiModelProperty(name = "虚拟考场代码")
    private String roomCode;

    @ApiModelProperty(name = "虚拟考场名称")
    private String roomName;

    @ApiModelProperty(name = "系统预警")
    private Integer warningCount;

    @ApiModelProperty(name = "陌生人脸")
    private Integer multipleFaceCount;

    @ApiModelProperty(name = "异常处理")
    private Integer exceptionCount;

    @ApiModelProperty(name = "是否违纪，0：是，1：不是")
    private Integer breachStatus;

    @ApiModelProperty(name = "预警信息")
    private List<InvigilateWarnInfoBean> warningInfos;

    @ApiModelProperty(name = "预警信息")
    private List<InvigilateExceptionInfoBean> exceptionInfos;

    @ApiModelProperty(name = "预警信息")
    private List<StudentLogBean> studentLogs;

    public InvigilateListDetailBean() {

    }

    public InvigilateListDetailBean(Long examId, Long examActivityId, Long examStudentId, Long examRecordId, String identity, String examStudentName, String courseNameCode, ExamRecordStatusEnum statusCode, String roomCode, String roomName, Integer breachStatus) {
        this.examId = examId;
        this.examActivityId = examActivityId;
        this.examStudentId = examStudentId;
        this.examRecordId = examRecordId;
        this.identity = identity;
        this.examStudentName = examStudentName;
        this.courseNameCode = courseNameCode;
        this.statusCode = statusCode;
        this.roomCode = roomCode;
        this.roomName = roomName;
        this.breachStatus = breachStatus;
    }

    public String getRoomName() {
        return roomName;
    }

    public void setRoomName(String roomName) {
        this.roomName = roomName;
    }

    public List<StudentLogBean> getStudentLogs() {
        return studentLogs;
    }

    public void setStudentLogs(List<StudentLogBean> studentLogs) {
        this.studentLogs = studentLogs;
    }

    public List<InvigilateWarnInfoBean> getWarningInfos() {
        return warningInfos;
    }

    public void setWarningInfos(List<InvigilateWarnInfoBean> warningInfos) {
        this.warningInfos = warningInfos;
    }

    public List<InvigilateExceptionInfoBean> getExceptionInfos() {
        return exceptionInfos;
    }

    public void setExceptionInfos(List<InvigilateExceptionInfoBean> exceptionInfos) {
        this.exceptionInfos = exceptionInfos;
    }

    public Integer getBreachStatus() {
        return breachStatus;
    }

    public void setBreachStatus(Integer breachStatus) {
        this.breachStatus = breachStatus;
    }

    public Integer getWarningCount() {
        return warningCount;
    }

    public void setWarningCount(Integer warningCount) {
        this.warningCount = warningCount;
    }

    public Integer getMultipleFaceCount() {
        return multipleFaceCount;
    }

    public void setMultipleFaceCount(Integer multipleFaceCount) {
        this.multipleFaceCount = multipleFaceCount;
    }

    public Integer getExceptionCount() {
        return exceptionCount;
    }

    public void setExceptionCount(Integer exceptionCount) {
        this.exceptionCount = exceptionCount;
    }

    public String getRoomCode() {
        return roomCode;
    }

    public void setRoomCode(String roomCode) {
        this.roomCode = roomCode;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getExamActivityId() {
        return examActivityId;
    }

    public void setExamActivityId(Long examActivityId) {
        this.examActivityId = examActivityId;
    }

    public Long getExamStudentId() {
        return examStudentId;
    }

    public void setExamStudentId(Long examStudentId) {
        this.examStudentId = examStudentId;
    }

    public Long getExamRecordId() {
        return examRecordId;
    }

    public void setExamRecordId(Long examRecordId) {
        this.examRecordId = examRecordId;
    }

    public String getIdentity() {
        return identity;
    }

    public void setIdentity(String identity) {
        this.identity = identity;
    }

    public String getExamStudentName() {
        return examStudentName;
    }

    public void setExamStudentName(String examStudentName) {
        this.examStudentName = examStudentName;
    }

    public String getCourseNameCode() {
        return courseNameCode;
    }

    public void setCourseNameCode(String courseNameCode) {
        this.courseNameCode = courseNameCode;
    }

    public String getStatus() {
        if (statusCode != null) {
            return statusCode.getCode();
        }
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public ExamRecordStatusEnum getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(ExamRecordStatusEnum statusCode) {
        this.statusCode = statusCode;
    }

    /**
     * @Description: 预警bean
     * @Param:
     * @return:
     * @Author: wangliang
     * @Date: 2020/8/24
     */
    public class InvigilateWarnInfoBean implements Serializable {

        @ApiModelProperty(value = "预警信息")
        private String info;

        @ApiModelProperty(value = "预警级别")
        private String level;

        @ApiModelProperty(value = "类别")
        private VerifyExceptionEnum type;

        @ApiModelProperty(value = "备注")
        private String remark;

        @ApiModelProperty(value = "审阅状态，0：未阅，1：已阅")
        private Integer approveStatus;

        @ApiModelProperty(value = "创建时间")
        private Date createTime;

        public String getInfo() {
            return info;
        }

        public void setInfo(String info) {
            this.info = info;
        }

        public String getLevel() {
            return level;
        }

        public void setLevel(String level) {
            this.level = level;
        }

        public VerifyExceptionEnum getType() {
            return type;
        }

        public void setType(VerifyExceptionEnum type) {
            this.type = type;
        }

        public String getRemark() {
            return remark;
        }

        public void setRemark(String remark) {
            this.remark = remark;
        }

        public Integer getApproveStatus() {
            return approveStatus;
        }

        public void setApproveStatus(Integer approveStatus) {
            this.approveStatus = approveStatus;
        }

        public Date getCreateTime() {
            return createTime;
        }

        public void setCreateTime(Date createTime) {
            this.createTime = createTime;
        }
    }

    /**
     * @Description: 异常bean
     * @Param:
     * @return:
     * @Author: wangliang
     * @Date: 2020/8/24
     */
    public class InvigilateExceptionInfoBean implements Serializable {
        @ApiModelProperty(value = "异常信息")
        private String info;

        @ApiModelProperty(value = "类别")
        private ExceptionEnum type;

        @ApiModelProperty(value = "备注")
        private String remark;

        @ApiModelProperty(value = "创建时间")
        private Date createTime;

        public String getInfo() {
            return info;
        }

        public void setInfo(String info) {
            this.info = info;
        }

        public ExceptionEnum getType() {
            return type;
        }

        public void setType(ExceptionEnum type) {
            this.type = type;
        }

        public String getRemark() {
            return remark;
        }

        public void setRemark(String remark) {
            this.remark = remark;
        }

        public Date getCreateTime() {
            return createTime;
        }

        public void setCreateTime(Date createTime) {
            this.createTime = createTime;
        }
    }

    /**
     * @Description: 异常bean
     * @Param:
     * @return:
     * @Author: wangliang
     * @Date: 2020/8/24
     */
    public class StudentLogBean implements Serializable {
        @ApiModelProperty(value = "信息")
        private String info;

        @ApiModelProperty(value = "类别")
        private ExceptionEnum type;

        @ApiModelProperty(value = "备注")
        private String remark;

        @ApiModelProperty(value = "创建时间")
        private Date createTime;

        public String getInfo() {
            return info;
        }

        public void setInfo(String info) {
            this.info = info;
        }

        public ExceptionEnum getType() {
            return type;
        }

        public void setType(ExceptionEnum type) {
            this.type = type;
        }

        public String getRemark() {
            return remark;
        }

        public void setRemark(String remark) {
            this.remark = remark;
        }

        public Date getCreateTime() {
            return createTime;
        }

        public void setCreateTime(Date createTime) {
            this.createTime = createTime;
        }
    }
}
