package com.qmth.themis.business.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.qmth.themis.business.enums.MqTagEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;
import java.util.Map;

/**
 * @Description: rocketmq消息
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/9
 */
@ApiModel(value = "t_m_rocket_message", description = "rocketmq消息")
public class TMRocketMessage implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id")
    private String id;

    @ApiModelProperty(value = "消息topic")
    @TableField(value = "topic")
    private String topic;

    @ApiModelProperty(value = "消息tag")
    @TableField(value = "tag")
    private String tag;

    @ApiModelProperty(value = "消息内容")
    @TableField(value = "body")
    private Object body;

    @ApiModelProperty(value = "消息类型")
    @TableField(value = "type")
    private MqTagEnum type;

    @ApiModelProperty(value = "关联业务id")
    @TableField(value = "obj_id")
    private String objId;

    @ApiModelProperty(value = "关联业务名称")
    @TableField(value = "obj_name")
    private String objName;

    @ApiModelProperty(value = "消息ack")
    @TableField(value = "ack")
    private Integer ack;

    @ApiModelProperty(value = "消息序号")
    @TableField(value = "sequence")
    private Integer sequence;

    @ApiModelProperty(value = "扩展类型")
    @TableField(exist = false)
    private Map<String, Object> properties;

    @TableField(value = "properties")
    private String prop;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "时间戳")
    @TableField(value = "timestamp")
    private Long timestamp;

    public String getProp() {
        return prop;
    }

    public void setProp(String prop) {
        this.prop = prop;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTopic() {
        return topic;
    }

    public void setTopic(String topic) {
        this.topic = topic;
    }

    public String getTag() {
        return tag;
    }

    public void setTag(String tag) {
        this.tag = tag;
    }

    public String getObjId() {
        return objId;
    }

    public void setObjId(String objId) {
        this.objId = objId;
    }

    public String getObjName() {
        return objName;
    }

    public void setObjName(String objName) {
        this.objName = objName;
    }

    public Integer getAck() {
        return ack;
    }

    public void setAck(Integer ack) {
        this.ack = ack;
    }

    public Integer getSequence() {
        return sequence;
    }

    public void setSequence(Integer sequence) {
        this.sequence = sequence;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Object getBody() {
        return body;
    }

    public void setBody(Object body) {
        this.body = body;
    }

    public MqTagEnum getType() {
        return type;
    }

    public void setType(MqTagEnum type) {
        this.type = type;
    }

    public Map<String, Object> getProperties() {
        return properties;
    }

    public void setProperties(Map<String, Object> properties) {
        this.properties = properties;
    }

    public Long getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Long timestamp) {
        this.timestamp = timestamp;
    }
}
