package com.qmth.themis.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.themis.business.bean.exam.FaceVerifyBean;
import com.qmth.themis.business.entity.TOeFaceVerifyHistory;

/**
 * @Description: 人脸验证记录 服务类
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
public interface TOeFaceVerifyHistoryService extends IService<TOeFaceVerifyHistory> {

    FaceVerifyBean verify(Long recordId, String type, String photoUrl, Integer faceCount, Double similarity, Double realness,
                          Long time, String exception);

    void save(Long id, Long recordId, String type, String photoUrl, Integer faceCount, Double similarity, Double realness,
              Long time, String exception);

    /**
     * count人脸数量异常
     *
     * @param recordId
     * @param exception
     * @param faceCount
     * @param multipleFace
     * @return
     */
    public Integer faceCountError(Long recordId, String exception, Integer faceCount, Boolean multipleFace);

    /**
     * count人脸比对异常
     *
     * @param recordId
     * @param exception
     * @return
     */
    public Integer faceCompareError(Long recordId, String exception);
}
