package com.qmth.themis.business.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.themis.business.dao.TEUserLogMapper;
import com.qmth.themis.business.entity.TEUserLog;
import com.qmth.themis.business.service.TEUserLogService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import java.util.Objects;

/**
 * @Description: 用户轨迹 服务实现类
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/2
 */
@Service
public class TEUserLogServiceImpl extends ServiceImpl<TEUserLogMapper, TEUserLog> implements TEUserLogService {
    private final static Logger log = LoggerFactory.getLogger(TEUserLogServiceImpl.class);

    /**
     * 保存用户轨迹
     *
     * @param o
     * @return
     */
    @Override
    public boolean saveUserLogInfo(Object... o) {
        TEUserLog teUserLog = null;
        if (Objects.nonNull(o) && o.length == 4) {
            teUserLog = new TEUserLog(String.valueOf(o[0]), String.valueOf(o[1]), String.valueOf(o[2]), Long.parseLong(String.valueOf(o[3])));
        }
        this.save(teUserLog);
        return true;
    }
}
